## networking-odl 1.0.1

=== debian/changelog ===
networking-odl (1:1.0.1-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Oct 2015 14:15:53 +0100

networking-odl (1:1.0.0~b1~git20150715.47686c2-0ubuntu1) wily; urgency=medium

  * New upstream snapshot for OpenStack Liberty.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jul 2015 10:00:47 +0100

networking-odl (2015.1.1-0ubuntu1) wily; urgency=medium

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jun 2015 11:43:30 +0100

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/stackforge/networking-odl.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-networking-odl; \
	done
	rm -rf $(CURDIR)/debian/python*-networking-odl/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*-networking-odl/usr/etc
	dh_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-odl-doc/usr/share/doc/python-networking-odl-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## networking-odl 1.0.2~git20160219.d8c9c53

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD

=== debian/changelog ===
networking-odl (1:1.0.2~git20160219.d8c9c53-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot from master branch, resolving compatibility with
    neutron 8.0.0~ (LP: #1547682).
  * d/rules: Update upstream git location.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Feb 2016 22:08:34 +0000

=== debian/control ===
Source: networking-odl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-hacking (>= 0.10.0),
                     python-neutron (>= 2:7.0.0~),
                     python-neutron-fwaas (>= 1:7.0.0~),
                     python-neutron-lbaas (>= 2:7.0.0~),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webtest (>= 2.0),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-odl.git
Vcs-Git: git://anonscm.debian.org/openstack/networking-odl.git
Homepage: https://github.com/stackforge/networking-odl

Package: python-networking-odl
Architecture: all
Depends: python-neutron (>= 2:7.0.0~),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-networking-odl-doc,
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the OpenDayLight mechanism driver for Neutron.

Package: python-networking-odl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Networking OpenDayLight ML2 mechanism driver - doc
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the documentation for the OpenDayLight
 mechanism driver for Neutron.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PYTHONS:=$(shell pyversions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/networking-odl.git
+UPSTREAM_GIT = git://github.com/openstack/networking-odl.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/networking-odl/networking-odl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## networking-odl 2.0.1~git20160926.416a5c7

=== requirements.txt ===
--- 
+++ 
@@ -3,4 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
+Babel>=2.3.4 # BSD
+stevedore>=1.16.0 # Apache-2.0
+neutron-lib>=0.4.0 # Apache-2.0

=== debian/changelog ===
networking-odl (1:2.0.1~git20160926.416a5c7-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for OpenStack Newton.
  * d/p/0001-Include-alembic-migrations-in-module.patch: Cherry pick fix to
    ensure that alembic db migrations are included in the installed
    package (LP: #1627656).
  * d/control,rules: Switch to using ostestr for unit test execution.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2016 12:24:08 +0100

networking-odl (1:2.0.0+git20160906.d6c362d-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for Newton.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Sep 2016 16:07:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,22 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel (>= 1.3),
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-hacking (>= 0.10.0),
-                     python-neutron (>= 2:7.0.0~),
-                     python-neutron-fwaas (>= 1:7.0.0~),
-                     python-neutron-lbaas (>= 2:7.0.0~),
+                     python-networking-l2gw,
+                     python-neutron (>= 2:9.0.0~),
+                     python-neutron-fwaas (>= 1:9.0.0~),
+                     python-neutron-lbaas (>= 1:9.0.0~),
+                     python-neutron-lib (>= 0.4.0),
+                     python-os-testr (>= 0.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-subunit (>= 0.0.18),
+                     python-stevedore (>= 1.16.0),
+                     python-testresources,
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-webtest (>= 2.0),
+                     subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-odl.git
@@ -30,7 +35,7 @@
 
 Package: python-networking-odl
 Architecture: all
-Depends: python-neutron (>= 2:7.0.0~),
+Depends: python-neutron (>= 2:9.0.0~),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-networking-odl-doc,

## networking-odl 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
stevedore>=1.17.1 # Apache-2.0
neutron-lib>=1.1.0 # Apache-2.0

=== debian/changelog ===
networking-odl (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * Align (Build-)Depends with upstream.
  * d/p/0001-Include-alembic-migrations-in-module.patch: Dropped
    no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 14:25:36 -0500

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,15 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-babel (>= 2.3.4),
-                     python-hacking (>= 0.10.0),
+                     python-networking-bgpvpn,
+                     python-networking-sfc,
                      python-networking-l2gw,
                      python-neutron (>= 2:9.0.0~),
-                     python-neutron-fwaas (>= 1:9.0.0~),
-                     python-neutron-lbaas (>= 1:9.0.0~),
+                     python-neutron-fwaas,
+                     python-neutron-lbaas,
                      python-neutron-lib (>= 0.4.0),
-                     python-os-testr (>= 0.7.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-os-testr (>= 0.8.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-stevedore (>= 1.16.0),
                      python-testresources,
@@ -29,13 +30,15 @@
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-odl.git
-Vcs-Git: git://anonscm.debian.org/openstack/networking-odl.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
 Homepage: https://github.com/stackforge/networking-odl
 
 Package: python-networking-odl
 Architecture: all
 Depends: python-neutron (>= 2:9.0.0~),
+         python-stevedore (>= 1.17.1),
+         python-neutron-lib (>= 1.1.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-networking-odl-doc,

## networking-odl 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
neutron-lib>=1.9.0 # Apache-2.0
websocket-client>=0.32.0 # LGPLv2+

=== debian/changelog ===
networking-odl (1:11.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 10:01:54 -0400

networking-odl (1:11.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:21:47 -0400

networking-odl (1:11.0.0~rc1-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-ceilometer BD to 1:8.1.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 10:37:26 -0400

networking-odl (1:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:43:32 -0400

networking-odl (1:11.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Account for cloud archive versioning in python-ceilometer BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Aug 2017 14:14:06 -0400

networking-odl (1:11.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:26:10 -0400

networking-odl (1:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * d/control: Add python-websocket to BD's.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:35:00 +0100

networking-odl (1:11.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Apr 2017 09:12:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,26 @@
                dh-python,
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-babel (>= 2.3.4),
+                     python-ceilometer (>= 1:8.1.0),
                      python-networking-bgpvpn,
+                     python-networking-l2gw,
                      python-networking-sfc,
-                     python-networking-l2gw,
-                     python-neutron (>= 2:9.0.0~),
+                     python-neutron (>= 2:11.0.0~b2),
                      python-neutron-fwaas,
                      python-neutron-lbaas,
-                     python-neutron-lib (>= 0.4.0),
+                     python-neutron-lib (>= 1.9.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-testr (>= 0.8.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.20.0),
                      python-testresources,
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python-websocket,
                      python-webtest (>= 2.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
@@ -36,9 +38,9 @@
 
 Package: python-networking-odl
 Architecture: all
-Depends: python-neutron (>= 2:9.0.0~),
-         python-stevedore (>= 1.17.1),
-         python-neutron-lib (>= 1.1.0),
+Depends: python-neutron (>= 2:11.0.0~b2),
+         python-neutron-lib (>= 1.9.0),
+         python-stevedore (>= 1.20.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-networking-odl-doc,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-odl networking-odl-(\d.*)\.tar\.gz

## networking-odl 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,5 +6,5 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-neutron-lib>=1.9.0 # Apache-2.0
-websocket-client>=0.32.0 # LGPLv2+
+neutron-lib>=1.12.0 # Apache-2.0
+websocket-client<=0.40.0,>=0.33.0 # LGPLv2+

=== networking_odl/tests/fullstack/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tempest>=12.1.0 # Apache-2.0

=== debian/changelog ===
networking-odl (1:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:51:34 +0000

networking-odl (1:12.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Use python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:39 +0000

networking-odl (1:12.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 15:19:37 -0500

networking-odl (1:12.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 12.x. series.
  * New upstream milestone for OpenStack Queens.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 16:27:29 +0000

networking-odl (1:12.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 16:06:03 -0500

=== debian/control ===
Source: networking-odl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-ceilometer (>= 1:8.1.0),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-hacking (>= 0.12.0),
 python-networking-bgpvpn,
 python-networking-l2gw,
 python-networking-sfc,
 python-neutron (>= 2:12.0.0~),
 python-neutron-fwaas,
 python-neutron-lbaas,
 python-neutron-lib (>= 1.13.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslotest (>= 1:3.2.0),
 python-pecan (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-websocket (>= 0.33.0),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
Homepage: https://github.com/stackforge/networking-odl

Package: python-networking-odl
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-debtcollector (>= 1.2.0),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-pbr (>= 2.0.0),
 python-stevedore (>= 1:1.20.0),
 python-websocket (>= 0.33.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-networking-odl-doc,
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the OpenDayLight mechanism driver for Neutron.

Package: python-networking-odl-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Networking OpenDayLight ML2 mechanism driver - doc
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the documentation for the OpenDayLight
 mechanism driver for Neutron.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 PYTHONS:=$(shell pyversions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/networking-odl.git
 include /usr/share/openstack-pkg-tools/pkgos.make
+
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
@@ -20,18 +20,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "===> Running tests"
-	set -ex ; for i in $(PYTHONS) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	ostestr
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-odl networking-odl-(12\.\d.*)\.tar\.gz

## networking-odl 13.0.0

=== debian/changelog ===
networking-odl (1:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:29:16 -0400

networking-odl (1:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * New upstream release candidate for OpenStack Rocky.
  * d/copyright: Tidy.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Aug 2018 08:42:48 +0100

networking-odl (1:13.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add Build-Depends for py3.
    - d/control: Add python3- and -common packages, deal with
      /etc/neutron move to -common.
    - d/rules: Use pkgos-dh_auto_install, enable python3 dh.
    - d/rules,control: Skip py3 test execution due to circular
      depends with networking-bgpvpn.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2018 11:22:20 +0100

networking-odl (1:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to Rocky series.
  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:03:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,49 +10,101 @@
  dh-python,
  openstack-pkg-tools,
  python-all (>= 2.6.6-3~),
- python-pbr (>= 2.0.0),
+ python-pbr (>= 3.1.1),
  python-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr (>= 3.1.1),
+ python3-setuptools,
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
- python-ceilometer (>= 1:8.1.0),
- python-coverage (>= 4.0),
- python-debtcollector (>= 1.2.0),
+ python-babel (>= 2.4.0),
+ python-ceilometer (>= 1:11.0.0),
+ python-coverage (>= 4.5.1),
+ python-debtcollector (>= 1.13.0),
  python-hacking (>= 0.12.0),
- python-networking-bgpvpn,
- python-networking-l2gw,
- python-networking-sfc,
- python-neutron (>= 2:12.0.0~),
+ python-networking-bgpvpn (>= 8.0.0~),
+ python-networking-l2gw (>= 1:12.0.0~),
+ python-networking-sfc (>= 6.0.0~),
+ python-neutron (>= 2:12.0.0),
  python-neutron-fwaas,
- python-neutron-lbaas,
- python-neutron-lib (>= 1.13.0),
+ python-neutron-lbaas (>= 2:12.0.0),
+ python-neutron-lib (>= 1.18.0),
  python-openstackdocstheme (>= 1.18.1),
  python-os-testr (>= 1.0.0),
- python-oslotest (>= 1:3.2.0),
- python-pecan (>= 1.0.0),
- python-stevedore (>= 1:1.20.0),
- python-subunit (>= 1.0.0),
+ python-oslotest (>= 1:3.3.0),
+ python-pecan (>= 1.2.1),
+ python-stestr,
+ python-stevedore (>= 1:1.28.0),
+ python-subunit (>= 1.2.0),
  python-testresources (>= 2.0.0),
  python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-websocket (>= 0.33.0),
- subunit (>= 0.0.18),
- testrepository (>= 0.0.18),
+ python-testtools (>= 2.3.0),
+ python-websocket (>= 0.44.0),
+ python3-babel (>= 2.4.0),
+ python3-ceilometer (>= 1:11.0.0),
+ python3-coverage (>= 4.5.1),
+ python3-debtcollector (>= 1.13.0),
+ python3-hacking (>= 0.12.0),
+ python3-networking-bgpvpn (>= 8.0.0~),
+ python3-networking-l2gw (>= 1:12.0.0~),
+ python3-networking-sfc (>= 6.0.0~),
+ python3-neutron (>= 2:12.0.0),
+ python3-neutron-fwaas,
+ python3-neutron-lbaas (>= 2:12.0.0),
+ python3-neutron-lib (>= 1.18.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-testr (>= 1.0.0),
+ python3-oslotest (>= 1:3.3.0),
+ python3-pecan (>= 1.2.1),
+ python3-reno (>= 2.5.0),
+ python3-stestr,
+ python3-stevedore (>= 1:1.28.0),
+ python3-subunit (>= 1.2.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.3.0),
+ python3-websocket (>= 0.44.0),
 Standards-Version: 4.1.2
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
 Homepage: https://github.com/stackforge/networking-odl
 
+Package: networking-odl-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Breaks:
+ python-networking-odl (<< 1:13.0.0~b2-0ubuntu2~),
+Replaces:
+ python-networking-odl (<< 1:13.0.0~b2-0ubuntu2~),
+Description: OpenStack Networking OpenDayLight ML2 mechanism driver
+ Neutron is a virtual network service for Openstack, and a part of
+ Netstack. Just like OpenStack Nova provides an API to dynamically
+ request and configure virtual servers, Neutron provides an API to
+ dynamically request and configure virtual networks. These networks
+ connect "interfaces" from other OpenStack services (e.g., virtual NICs
+ from Nova VMs). The Neutron API supports extensions to provide
+ advanced network capabilities (e.g., QoS, ACLs, network monitoring,
+ etc.)
+ .
+ This package provides common configuration files for the OpenDayLight
+ mechanism driver for Neutron.
+
 Package: python-networking-odl
 Architecture: all
 Depends:
- python-babel (>= 2.3.4),
- python-debtcollector (>= 1.2.0),
- python-neutron (>= 2:12.0.0~),
- python-neutron-lib (>= 1.13.0),
- python-pbr (>= 2.0.0),
- python-stevedore (>= 1:1.20.0),
- python-websocket (>= 0.33.0),
+ networking-odl-common (= ${binary:Version}),
+ python-babel (>= 2.4.0),
+ python-ceilometer (>= 1:11.0.0),
+ python-debtcollector (>= 1.13.0),
+ python-networking-bgpvpn (>= 8.0.0~),
+ python-networking-l2gw (>= 1:12.0.0~),
+ python-neutron (>= 2:12.0.0),
+ python-neutron-lbaas (>= 2:12.0.0),
+ python-neutron-lib (>= 1.18.0),
+ python-pbr (>= 3.1.1),
+ python-stevedore (>= 1:1.28.0),
+ python-websocket (>= 0.44.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -67,7 +119,8 @@
  advanced network capabilities (e.g., QoS, ACLs, network monitoring,
  etc.)
  .
- This package provides the OpenDayLight mechanism driver for Neutron.
+ This package provides the Python 2 module for the OpenDayLight
+ mechanism driver for Neutron.
 
 Package: python-networking-odl-doc
 Section: doc
@@ -87,3 +140,35 @@
  .
  This package contains the documentation for the OpenDayLight
  mechanism driver for Neutron.
+
+Package: python3-networking-odl
+Architecture: all
+Depends:
+ networking-odl-common (= ${binary:Version}),
+ python3-babel (>= 2.4.0),
+ python3-ceilometer (>= 1:11.0.0),
+ python3-debtcollector (>= 1.13.0),
+ python3-networking-bgpvpn (>= 8.0.0~),
+ python3-networking-l2gw (>= 1:12.0.0~),
+ python3-neutron (>= 2:12.0.0),
+ python3-neutron-lbaas (>= 2:12.0.0),
+ python3-neutron-lib (>= 1.18.0),
+ python3-pbr (>= 3.1.1),
+ python3-stevedore (>= 1:1.28.0),
+ python3-websocket (>= 0.44.0),
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-networking-odl-doc,
+Description: OpenStack Networking OpenDayLight ML2 mechanism driver
+ Neutron is a virtual network service for Openstack, and a part of
+ Netstack. Just like OpenStack Nova provides an API to dynamically
+ request and configure virtual servers, Neutron provides an API to
+ dynamically request and configure virtual networks. These networks
+ connect "interfaces" from other OpenStack services (e.g., virtual NICs
+ from Nova VMs). The Neutron API supports extensions to provide
+ advanced network capabilities (e.g., QoS, ACLs, network monitoring,
+ etc.)
+ .
+ This package provides the Python 3 module for the OpenDayLight
+ mechanism driver for Neutron.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,23 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-networking-odl; \
-	done
-	rm -rf $(CURDIR)/debian/python*-networking-odl/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*-networking-odl/usr/etc
 	dh_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	PYTHON=python ostestr
+	#PYTHON=python3 ostestr
 endif
 
 override_dh_sphinxdoc:
@@ -29,7 +26,7 @@
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+	rm -rf build .stestr
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-odl networking-odl-(13\.\d.*)\.tar\.gz

## networking-odl 14.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
Babel>=2.5.3 # BSD
stevedore>=1.28.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0
neutron-lib>=1.18.0 # Apache-2.0
websocket-client>=0.47.0 # LGPLv2+

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
neutron>=13.0.0.0b2 # Apache-2.0
neutron-lbaas>=13.0.0.0b1 # Apache-2.0
networking-l2gw>=12.0.0  # Apache-2.0
networking-sfc>=8.0.0.0b1  # Apache-2.0
networking-bgpvpn>=8.0.0  # Apache-2.0
ceilometer>=11.0.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-odl (1:14.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 09:58:15 +0000

networking-odl (1:14.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:45:14 +0100

networking-odl (1:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 14.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:55:33 +0000

networking-odl (1:14.0.0~b1~git2019031845.5a2e47083-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 09:45:17 +0000

networking-odl (1:14.0.0~b1~git2019013156.cec4fbd0f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:35:37 +0000

networking-odl (1:14.0.0~b1~git2019013016.cec4fbd0f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:11:43 -0500

networking-odl (1:14.0.0~b1~git2018111605.8a7d334c4-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules: Drop Python 2 support.
  * d/p/0001-py37-fix-escaping-in-re.sub-call.patch: Cherry pick inflight fix to
    resolve compatibility with Python 3.7.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 14:39:45 +0000

=== debian/control ===
Source: networking-odl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-pbr (>= 3.1.1),
 python-setuptools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-babel (>= 2.5.3),
 python3-bandit (>= 1.4.0),
 python3-bashate (>= 0.5.1),
 python3-ceilometer (>= 1:11.0.0),
 python3-coverage (>= 4.5.1),
 python3-debtcollector (>= 1.19.0),
 python3-doc8 (>= 0.8.0),
 python3-hacking (>= 0.12.0),
 python3-networking-bgpvpn (>= 10.0.0~b1),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 8.0.0~b1),
 python3-neutron (>= 2:13.0.0~b2),
 python3-neutron-fwaas,
 python3-neutron-lbaas (>= 2:13.0.0~b1),
 python3-neutron-lib (>= 1.18.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-testr (>= 1.0.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pecan (>= 1.2.1),
 python3-reno (>= 2.7.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-subunit (>= 1.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-websocket (>= 0.47.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-odl
Homepage: https://github.com/stackforge/networking-odl

Package: networking-odl-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-odl (<< 1:13.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-odl (<< 1:13.0.0~b2-0ubuntu2~),
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides common configuration files for the OpenDayLight
 mechanism driver for Neutron.

Package: python-networking-odl-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Networking OpenDayLight ML2 mechanism driver - doc
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package contains the documentation for the OpenDayLight
 mechanism driver for Neutron.

Package: python3-networking-odl
Architecture: all
Depends:
 networking-odl-common (= ${binary:Version}),
 python3-babel (>= 2.5.3),
 python3-ceilometer (>= 1:11.0.0),
 python3-debtcollector (>= 1.19.0),
 python3-networking-bgpvpn (>= 10.0.0~b1),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 8.0.0~b1),
 python3-neutron (>= 2:13.0.0~b2),
 python3-neutron-lbaas (>= 2:13.0.0~b1),
 python3-neutron-lib (>= 1.18.0),
 python3-pbr (>= 3.1.1),
 python3-stevedore (>= 1:1.28.0),
 python3-websocket (>= 0.47.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-odl-doc,
Description: OpenStack Networking OpenDayLight ML2 mechanism driver
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python 3 module for the OpenDayLight
 mechanism driver for Neutron.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-odl networking-odl-(14\.\d.*)\.tar\.gz

## networking-odl 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,17 +6,15 @@
 Babel>=2.5.3 # BSD
 stevedore>=1.28.0 # Apache-2.0
 debtcollector>=1.19.0 # Apache-2.0
-neutron-lib>=1.18.0 # Apache-2.0
+neutron-lib>=1.25.0 # Apache-2.0
 websocket-client>=0.47.0 # LGPLv2+
 
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
 neutron>=13.0.0.0b2 # Apache-2.0
-neutron-lbaas>=13.0.0.0b1 # Apache-2.0
 networking-l2gw>=12.0.0  # Apache-2.0
 networking-sfc>=8.0.0.0b1  # Apache-2.0
 networking-bgpvpn>=8.0.0  # Apache-2.0
-ceilometer>=11.0.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
networking-odl (1:15.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 16:17:29 +0000

networking-odl (1:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:14:17 +0100

networking-odl (1:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:29:18 +0100

networking-odl (1:15.0.0~b2~git2019080116.0aa158478-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-py37-fix-escaping-in-re.sub-call.patch: Dropped. Fixed
    in snapshot.

  [ Corey Bryant ]
  * d/control: Use min version of python3-testresources 2.0.0 for now
    as the package builds successfully with it.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 21:03:11 -0400

networking-odl (1:15.0.0~b1~git2019061308.b1e38fdc1-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 13:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,10 @@
  python3-hacking (>= 0.12.0),
  python3-networking-bgpvpn (>= 10.0.0~b1),
  python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 8.0.0~b1),
- python3-neutron (>= 2:13.0.0~b2),
+ python3-networking-sfc (>= 8.0.0~),
+ python3-neutron (>= 2:15.0.0~),
  python3-neutron-fwaas,
- python3-neutron-lbaas (>= 2:13.0.0~b1),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron-lib (>= 1.25.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-os-testr (>= 1.0.0),
  python3-oslotest (>= 1:3.3.0),
@@ -94,14 +93,12 @@
 Depends:
  networking-odl-common (= ${binary:Version}),
  python3-babel (>= 2.5.3),
- python3-ceilometer (>= 1:11.0.0),
  python3-debtcollector (>= 1.19.0),
  python3-networking-bgpvpn (>= 10.0.0~b1),
  python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 8.0.0~b1),
- python3-neutron (>= 2:13.0.0~b2),
- python3-neutron-lbaas (>= 2:13.0.0~b1),
- python3-neutron-lib (>= 1.18.0),
+ python3-networking-sfc (>= 8.0.0~),
+ python3-neutron (>= 2:15.0.0~),
+ python3-neutron-lib (>= 1.25.0),
  python3-pbr (>= 3.1.1),
  python3-stevedore (>= 1:1.28.0),
  python3-websocket (>= 0.47.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	rm -rf $(CURDIR)/debian/python*-networking-odl/usr/etc
	dh_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-odl-doc/usr/share/doc/python-networking-odl-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .stestr

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## networking-odl 16.0.0~b3~git2020032509.3de47a829

=== debian/changelog ===
networking-odl (1:16.0.0~b3~git2020032509.3de47a829-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:14:17 +0000

networking-odl (1:16.0.0~b2~git2020020614.d3323d05d-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Tests are successful with python3-testresources 2.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 12:20:22 -0500

networking-odl (1:16.0.0~b1~git2019121711.e765aa818-0ubuntu2) focal; urgency=medium

  * d/control: Set python3-testresources min version to 2.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Dec 2019 08:06:16 -0500

networking-odl (1:16.0.0~b1~git2019121711.e765aa818-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 17 Dec 2019 12:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,8 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
- python-all (>= 2.6.6-3~),
- python-pbr (>= 3.1.1),
- python-setuptools,
  python3-all,
- python3-pbr (>= 3.1.1),
+ python3-pbr (>= 4.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
@@ -25,12 +22,12 @@
  python3-debtcollector (>= 1.19.0),
  python3-doc8 (>= 0.8.0),
  python3-hacking (>= 0.12.0),
- python3-networking-bgpvpn (>= 10.0.0~b1),
+ python3-networking-bgpvpn (>= 10.0.0~),
  python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 8.0.0~),
- python3-neutron (>= 2:15.0.0~),
+ python3-networking-sfc (>= 10.0.0~),
+ python3-neutron (>= 2:16.0.0~),
  python3-neutron-fwaas,
- python3-neutron-lib (>= 1.25.0),
+ python3-neutron-lib (>= 2.0.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-os-testr (>= 1.0.0),
  python3-oslotest (>= 1:3.3.0),
@@ -94,12 +91,12 @@
  networking-odl-common (= ${binary:Version}),
  python3-babel (>= 2.5.3),
  python3-debtcollector (>= 1.19.0),
- python3-networking-bgpvpn (>= 10.0.0~b1),
+ python3-networking-bgpvpn (>= 10.0.0~),
  python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 8.0.0~),
- python3-neutron (>= 2:15.0.0~),
- python3-neutron-lib (>= 1.25.0),
- python3-pbr (>= 3.1.1),
+ python3-networking-sfc (>= 10.0.0~),
+ python3-neutron (>= 2:16.0.0~),
+ python3-neutron-lib (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-stevedore (>= 1:1.28.0),
  python3-websocket (>= 0.47.0),
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-odl networking-odl-(15\.\d.*)\.tar\.gz
